package com.xinelu.manage.service.servicewaycontent;

import com.xinelu.manage.domain.servicewaycontent.ServiceWayContent;
import com.xinelu.manage.dto.servicewaycontent.ServiceWayContentAddDTO;
import com.xinelu.manage.dto.servicewaycontent.ServiceWayContentDTO;
import com.xinelu.manage.dto.servicewaycontent.ServiceWayContentEditDTO;
import com.xinelu.manage.vo.servicewaycontent.ServiceWayContentAndFrequencyVO;
import com.xinelu.manage.vo.servicewaycontent.ServiceWayContentAndNumVO;
import com.xinelu.manage.vo.servicewaycontent.ServiceWayContentVO;

import java.util.List;

/**
 * 服务方式内容Service接口
 *
 * @author xinelu
 * @date 2024-02-29
 */
public interface IServiceWayContentService {
    /**
     * 查询服务方式内容
     *
     * @param id 服务方式内容主键
     * @return 服务方式内容
     */
    public ServiceWayContentAndFrequencyVO selectServiceWayContentById(Long id);

    /**
     * 查询服务方式内容列表
     *
     * @param serviceWayContentDTO 服务方式内容
     * @return 服务方式内容集合
     */
    public List<ServiceWayContentVO> selectServiceWayContentList(ServiceWayContentDTO serviceWayContentDTO);

    /**
     * 新增服务方式内容
     *
     * @param serviceWayContentAddDTO 服务方式内容
     * @return 结果
     */
    public int insertServiceWayContent(ServiceWayContentAddDTO serviceWayContentAddDTO);

    /**
     * 修改服务方式内容
     *
     * @param serviceWayContentEditDTO 服务方式内容
     * @return 结果
     */
    public int updateServiceWayContent(ServiceWayContentEditDTO serviceWayContentEditDTO);

    /**
     * 批量删除服务方式内容
     *
     * @param ids 需要删除的服务方式内容主键集合
     * @return 结果
     */
    public int deleteServiceWayContentByIds(Long[] ids);

    /**
     * 删除服务方式内容信息
     *
     * @param id 服务方式内容主键
     * @return 结果
     */
    public int deleteServiceWayContentById(Long id);

    /**
     * 查询服务方式列表
     */
    List<ServiceWayContentAndNumVO> selectListNum(String serviceWayName, Long id);

    /**
     * 新增服务方式
     */
    int insertServiceWay(ServiceWayContent serviceWayContent);

    /**
     * 修改服务方式
     */
    int editServiceWay(ServiceWayContent serviceWayContent);

    /**
     * 根据id删除服务方式
     */
    int deleteServiceWayById(Long id);

    /**
     * 根据id查询服务方式
     */
    String selectServiceWayById(Long id);

    /**
     * 根据服务频次id删除服务内容
     */
    int deleteByFrequencyId(Long id);
}
